//
//  NSDictionaryAdditions.h
//  AraeliumFoundation
//
//  Created by Seth Willits on 1/2/07.
//  Copyright 2007 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSDictionary (Additions)

- (BOOL)writeToURL:(NSURL *)aURL options:(NSUInteger)mask error:(NSError **)errorPtr;
- (BOOL)boolForKey:(id)key;
#if MAC_OS_X_VERSION_10_5 <= MAC_OS_X_VERSION_MAX_ALLOWED
- (NSInteger)integerForKey:(id)key;
#endif
- (double)doubleForKey:(id)key;
- (float)floatForKey:(id)key;

@end


@interface NSMutableDictionary (Additions)
- (void)setBool:(BOOL)value forKey:(id)key;
#if MAC_OS_X_VERSION_10_5 <= MAC_OS_X_VERSION_MAX_ALLOWED
- (void)setInteger:(NSInteger)value forKey:(id)key;
#endif
- (void)setDouble:(double)value forKey:(id)key;
- (void)setFloat:(float)value forKey:(id)key;
@end
