//
//  AGGradientTableView.h
//  Araelium Edit 2.1
//
//  Created by Seth Willits on 8/21/07.
//  Copyright 2007 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class AGGradient;
@interface AGGradientTableView : NSTableView {
	AGGradient * mActiveRowSelectionGradient;
	AGGradient * mInactiveRowSelectionGradient;
	
	struct {
        NSUInteger acceptsFirstMouse:1;
		NSUInteger acceptsFirstResponderByMouse:1;
    } flags;
}

// Gradients
- (void)setActiveRowSelectionGradient:(AGGradient *)activeRowSelectionGradient;
- (AGGradient *)activeRowSelectionGradient;
- (void)setInactiveRowSelectionGradient:(AGGradient *)inactiveRowSelectionGradient;
- (AGGradient *)inactiveRowSelectionGradient;

// Mouse
- (void)setAcceptsFirstMouse:(BOOL)flag;
- (void)setAcceptsFirstResponderByMouse:(BOOL)flag;
- (BOOL)acceptsFirstResponderByMouse;

@end
